Account Balance History

How to get your account balance history in Pagsmile.

Get your Payout account balance history in Pagsmile.

POST https://sandbox.transfersmile.com/api/balance/history

Headers

Name
Type
Description

Content-Type*

String

application/json; chartset=UTF-8

AppId*

String

Your App ID in payout platform

Authorization*

String

SHA256($sorted_params + $app_key)

Request Body

Name
Type
Description

start_date*

string

start_date(UTC), e.g. 2021-07-01

end_date*

string

end_date(UTC), e.g. 2021-08-01

timestamp*

integer

unix timestamp, e.g. 1628512575

{
    "code": 200,
    "msg": "success",
    "time": 1642075813,
    "data": [
        {
            "merchant_id": "94********48",
            "current_day": "2026-04-14",
            "balance": [
                {
                    "currency": "USD",
                    "amount":"**.**"
                },
                ......
                {
                    "currency": "KZT",
                    "amount":"**.**"
                }
            ]
        },
        {
            "merchant_id": "94********48",
            "current_day": "2026-04-13",
            "balance": [
                {
                    "currency": "USD",
                    "amount":"**.**"
                },
                ......
                {
                    "currency": "KZT",
                    "amount":"**.**"
                }
            ]
        },
        ......
        ......
        ......
        {
            "merchant_id": "94********48",
            "current_day": "2026-01-05",
            "balance": [
                {
                    "currency": "USD",
                    "amount": "**.**"
                },
                ......
                {
                    "currency": "KZT",
                    "amount":"**.**"
                }
            ]
        }
    ]
}

Example

Note: 94FAC*********************68548 is pagsmile's test merchant id for sandbox, and d6181db0d6548b94b162e75d095b59147172d914699f83b2bd17951a671b6302 is authorization token associated with the test App ID

Last updated